<mat-card
  *transloco="let t; read: 'profile'"
  appearance="outlined"
  class="user-contact-container round-card-border">
  <mat-card-title>{{t('contact_data')}}</mat-card-title>
  <div class="row-container">
    <div class="item-container">
      <b>{{t('address')}}</b>
      <div>{{userContactData.street_name}} {{userContactData.street_number}}</div>
      <p>{{userContactData.zip_code}} {{userContactData.place_name}}</p>
    </div>
    <div class="item-container">
      <b>{{t('phone_number')}}</b>
      <p>{{userContactData.phone_number}}</p>
    </div>
  </div>
  <div class="row-container">
    <div class="item-container">
      <b>{{t('region')}}</b>
      <p>{{(userContactData.country_code|codeToCountry|async)}}</p>
    </div>
    <button
      mat-flat-button
      color="primary"
      class="edit-button round-button"
      (click)="editClicked.emit()">
      {{t('edit')}}
    </button>
  </div>
</mat-card>
